#ifndef KIRBY_H
#define KIRBY_H

#include <cmath>
#include "vec.h"
#include "model.h"
#include "vault.h"
#include "properties.h"


class Kirby : public Model {
protected:
	RangeProperty prop_angle, lhhoriz, lhvert, rhhoriz, rhvert, ham_angle, lfoot, rfoot;
	Texture2D checkers;
public:
	//Kirby(const char* name, float lhhoriz, float lhvert, float rhhoriz, float rhvert, float ham_angle, float lfoot, float rfoot);
	Kirby(const char* name);
	virtual void draw();
	virtual void load();

};


#endif